{% extends "gc/basepage.html" %}

{% block head %}
    <style>
        .fixed-top.scrolled{background-color:#062c33!important;transition:background-color .2s linear}.fixed-top.scrolled .nav-link{color:#fff!important}.video-parent-tag{text-align:center;width:100%}@media (max-width:810px){.item-class{background:#fff;padding:14px;margin:2px;text-align:justify;width:600px}video{width:90%!important;height:auto!important;margin:0 auto}}@media (min-width:810px) and (max-width:1210px){.item-class{background:#fff;padding:14px;margin:2px;text-align:justify;width:400px}video{width:70%!important;height:auto!important;margin:0 auto}}@media (min-width:1210px){.item-class{background:#fff;padding:14px;margin:2px;text-align:justify;width:375px}video{width:65%!important;height:auto!important;margin:0 auto}}.button-from-top{margin-top:50px}.margin-div-section{margin-top:70px;margin-bottom:20px}.item-header-background{background-color:#212529}.img-centered{display:block;margin:auto}.input-class{margin:5px;padding:5px;line-height:2.5;color:#495057;background:#fff none;background-clip:padding-box;border:1px solid #ced4da;border-radius:.25rem;transition:border-color ease-in-out .15s,box-shadow ease-in-out .15s}.dropdown-class{background-color:#fff;color:#000}.input-class a{width:100%}.input-class ul li a{margin-top:5px;margin-bottom:5px}.input-class ul{position:absolute!important;transform:translate3d(0,36px,0)!important;top:0!important;left:0!important;width:100%;will-change:transform!important}.item-image-size{max-height:150px}.open ul li:hover{color:red}.filter-bg{background-color:#fff}.margin{margin:3px}#submit-website{cursor:pointer}#contact-us{cursor:pointer}#filter-text{cursor:pointer}#advanced_search{cursor:pointer}#compare{cursor:pointer}#more-page{cursor:pointer}#less-page{cursor:pointer}ul li a{cursor:pointer;display:block;height:20px;text-align:center}#city{cursor:pointer}#brand{cursor:pointer}#store{cursor:pointer}.menu-scroll{overflow-y:scroll;max-height:200px}.no-text-decoration{text-decoration:none!important}.news-item{height:120px}.news-image-container{max-height:105px;overflow:hidden}.ui-autocomplete{overflow-y:scroll;max-height:200px;width:200px;list-style-type:none}.ui-autocomplete li{background-color:#fff;text-align:right;cursor:pointer;height:30px;padding:5px}.ui-autocomplete li div{color:#000;cursor:pointer;font-size:11px}.ui-autocomplete li div:hover{color:#f05f40}.tag{font-size:14px;padding:.3em .4em .4em;margin:0 .1em}.tag a{color:#bbb;cursor:pointer;opacity:.6}.tag a:hover{opacity:1}.tag .remove{vertical-align:bottom;top:0}.tag a{margin:0 0 0 .3em}.tag a .glyphicon-white{color:#fff;margin-bottom:2px}.share-tag{color:#179cde;width:30px!important;height:30px!important;cursor:pointer;border-radius:100%!important}.margin-top-10{margin-top:10px}.margin-top-15{margin-top:15px}.box-center{margin:0 auto}.box-full{width:100%}#tags{margin-top:15px;margin-bottom:15px}.bottom-line-item{position:absolute;bottom:1px;right:1px}.full-height{height:100%}#news-stickyitem{display:none}#news-stickyitem.fixed{display:block}.card-body{min-height:150px;min-width:200px;margin-right:5px;max-height:300px}.x-scroll{overflow-x:scroll}@keyframes flash{0%{opacity:1}50%{opacity:.5}100%{opacity:1}}.flash-button{animation-name:flash;animation-duration:1s;animation-timing-function:linear;animation-iteration-count:infinite;-webkit-animation-duration:1s;-webkit-animation-timing-function:linear;-webkit-animation-iteration-count:infinite;-moz-animation-duration:1s;-moz-animation-timing-function:linear;-moz-animation-iteration-count:infinite}.border-line{border:1px solid rgba(34,36,38,.15)!important}.btn-custom{background-color:#fff;border-radius:60px;transition:.4s;margin:3px;color:#000;border:1px inset gray}.btn-custom:hover{background-color:#c9302c;color:#fff}
    </style>
{% endblock %}

{% block content %}
    <nav class="navbar navbar-expand-lg navbar-light fixed-top" id="mainNav">
        <div class="container">

            <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarResponsive" aria-controls="navbarResponsive" aria-expanded="false" aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>

            <div class="collapse navbar-collapse" id="navbarResponsive">
                <ul class="navbar-nav ml-auto pull-right">
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="{% url 'homepage' %}">خانه</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#services">لیست محصولات</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#portfolio">برندها</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link js-scroll-trigger pull-right font-size" href="#contact">اطلاعات تماس</a>
                    </li>
                </ul>
            </div>
            <a id="news-stickyitem" class="navbar-padding btn btn-danger pull-left font-size" href="{% url 'newslist' %}"> اخبار روزانه </a>
        </div>
    </nav>

    <div class="item-header-background" id="about">
        <div class="container">
            <div class="row">
                <div class="mx-auto text-center margin-div-section">
                    <div class="col-xs-12 col-sm-4">
                        <input id="model" class="col-xs-12 input-class font-size" placeholder="مدل گوشی...">
                    </div>
                    <div class="col-xs-6 col-sm-4">
                        <div class="col-xs-12 btn-group open input-class">
                            <a id="store" class="btn dropdown-class font-size" data-toggle="dropdown">نام فروشگاه</a>
                            <ul id="dropdown-menu-store" class="dropdown-menu menu-scroll">
                                {% for store in stores %}
                                    <li><a class="font-size"> {{ store }} </a></li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                    <div class="col-xs-6 col-sm-4">
                        <div class="col-xs-12 btn-group open input-class">
                            <a id="brand" class="btn dropdown-class font-size" data-toggle="dropdown">برند</a>
                            <ul id="dropdown-menu-brand" class="dropdown-menu menu-scroll">
                                {% for brand in brands %}
                                    <li><a class="font-size"> {{ brand }} </a></li>
                                {% endfor %}
                            </ul>
                        </div>
                    </div>
                    <div class="col-xs-12 margin-top-10">
                        <a id="filter" class="button-from-top btn btn-light js-scroll-trigger box-centered">
                            <div id="filter-text" class="font-size">چند؟</div>
                        </a>
                        <i id="filter-icon" class="fa fa-circle-o-notch fa-spin fa-fw box-centered color-white"></i>
                    </div>
                    <div class="col-xs-12 margin-top-10">
                        <div id="advanced_search" class="col-xs-6 font-size text-white text-right">جستجو بر اساس امکانات؟</div>
                        <div id="compare" class="col-xs-6 font-size text-white text-left">مقایسه مدل ها؟</div>
                    </div>
                </div>
            </div>
        </div>
    </div>

    <div id="services">
        <div class="container">
            <div class="row">
                <div id="tags" class="col-lg-12 text-right">
                    <p class="section-heading font-size">فیلترهای انتخابی(با زدن ضربدر می توانید حذف کنید)</p>
                </div>
                {% if length > 0 %}
                    <div class="col-lg-12 text-center">
                        <p class="section-heading font-size">لیست محصولات ({{ length }} مورد) چینش براساس مدل جدیدتر </p>
                    </div>
                {% endif %}
            </div>
        </div>
        <div class="container">
            <div class="row">
                {% if length == 0 %}
                    <div class="col-lg-12 text-center margin-top-15">
                        <p class="section-heading font-size"> مرتبط با جستجوی شما در حال حاضر قیمتی ثبت نشده است </p>
                        <hr>
                    </div>
                    <div class="col-xs-12">
                        <br><p class="section-heading font-size text-center">امکانات گوشی های مرتبط</p><br>
                    </div>
                    {% for item in item_specs %}
                        <div class="mb-4 item-class box-centered border-line">
                            <div class="col-xs-12 full-height">
                                <div class="col-xs-4">
                                    <img class="item-image-size img-fluid d-block mx-auto" src="{{ item.org_img }}" alt="{{ item.title }}">
                                    <a href="https://telegram.me/share/url?url={{ item.spec_link }}?utm_source-tgshare&text=" rel="nofollow" target="_blank" class="share-tag fa fa-telegram"></a>
                                </div>
                                <div class="col-xs-8">
                                    <h2 class="font-size">{{ item.title }}</h2><hr>
                                    <p class="font-size text-right">برند : {{ item.cats }}</p><br>
                                    <p class="price font-size text-right">قیمتی ثبت نشده است</p><br><br>
                                </div>
                                <div class="bottom-line-item">
                                    <a href="{{ item.spec_link }}" class="btn btn-custom font-size"> امکانات </a>
                                    <a href="{% url 'mobilespeccompare' %}?models={{ item.urltitle }}" class="btn btn-custom font-size"> مقایسه </a>
                                </div>
                            </div>
                        </div>
                    {% endfor %}
                {% endif %}
                {% for item in mobile_items %}
                    <div class="mb-4 item-class box-centered border-line">
                        <div class="col-xs-12 full-height">
                            <div class="col-xs-4">
                                {% if item.org_img|length < 1 %}
                                    {% load staticfiles %}
                                    <img class="item-image-size img-fluid d-block mx-auto" src="{% static '/website/img/no_image.png' %}" alt="{{ item.title }}">
                                {% else %}
                                    <img class="item-image-size img-fluid d-block mx-auto" src="{{ item.org_img }}" alt="{{ item.title }}">
                                {% endif %}
                                <a href="https://telegram.me/share/url?url={{ item.spec_link }}?utm_source-tgshare&text=" rel="nofollow" target="_blank" class="share-tag fa fa-telegram"></a>
                            </div>
                            <div class="col-xs-8">
                                <h2 class="font-size">{{ item.title }}</h2><hr>
                                <a class="text-black" href="{% url 'mobileitems' %}?brand={{ item.cats }}">
                                    <p class="font-size text-right">برند : {{ item.cats }}</p>
                                </a>
                                <a class="text-black" href="{% url 'mobileitems' %}?store={{ item.store_underscore }}">
                                    <h3 class="font-size text-right">فروشگاه : {{ item.store }}</h3>
                                </a>
                                <a class="text-black" href="{% url 'mobileitems' %}?city={{ item.city }}">
                                    <p class="font-size text-right">شهر : {{ item.city }}</p>
                                </a>
                                <p class="has-number font-size text-right">تماس : {{ item.phone }}</p>
                                <p class="price font-size text-right">قیمت : {{ item.price }} ریال</p><br><br>
                            </div>
                            <div class="bottom-line-item">
                                <a rel="nofollow" href="{% url 'gotostorewebsite' item.ids %}" target="_blank" class="btn btn-custom font-size"> وب سایت فروشنده </a>
                                {% if item.itslen > 0 %}
                                    <a href="{{ item.spec_link }}" class="btn btn-custom font-size"> امکانات </a>
                                {% endif %}
                                {% if item.hasconfig %}
                                    <a href="{% url 'mobilespeccompare' %}?models={{ item.urltitle }}" class="btn btn-custom font-size"> مقایسه </a>
                                {% endif %}
                            </div>
                        </div>
                    </div>
                    {% if forloop.counter|divisibleby:6 %}
                        <div class="video-parent-tag">
                            {% if forloop.counter == 6 %}
                                <br>
                                <h2 class="btn btn-danger flash-button section-heading font-size text-center">اخبار مرتبط</h2>
                                <div class="x-scroll">
                                    <div class="d-flex flex-row flex-nowrap">
                                        {% for new in news %}
                                            <div class="card card-body">
                                                <a class="no-text-decoration news-item" href="{{ new.share_link }}">
                                                    <div class="news-image-container">
                                                        <img class="d-block w-100" src="{{ new.img }}" alt="{{ new.title }}">
                                                        <br>
                                                    </div>
                                                </a>
                                                <div class="text-right font-size">{{ new.title }}</div>
                                            </div>
                                        {% endfor %}
                                    </div>
                                </div>
                                <br>
                            {% elif forloop.counter == 12 %}
                                <h2 class="section-heading font-size text-center">ویدئو امکانات گوشی {{ mvs.0.title }}</h2>
                                <video onplaying="is_video_played({{ mvs.0.video_ids }})" controls>
                                    <source src="{{ mvs.0.link }}#t=13" type="video/mp4">
                                    <source src="{{ mvs.0.link }}#t=13" type="video/ogg">
                                    <source src="{{ mvs.0.link }}#t=13" type="video/webm">
                                    Your browser does not support the video tag.
                                </video><br><br>
                            {% endif %}
                        </div>

                    {% endif %}
                {% endfor %}
            </div>
        </div>
        <div class="container">
            <div class="row">
                {% if length >= 21 %}
                    <a id="more-page" class="btn btn-danger js-scroll-trigger box-centered text-white font-size">صفحه بعدی</a>
                {% endif %}
                <a id="less-page" class="btn btn-danger js-scroll-trigger box-centered text-white font-size">صفحه قبلی</a>
            </div>
        </div>
    </div><br><br><br>

{% endblock %}

{% block jsscript %}
   <script>
        let newsStickyItem=$("#news-stickyitem"),mainNav=$("#mainNav");function is_video_played(e){return $.ajax({type:"POST",url:"https://gooshichand.com/itemvideoplayed/",headers:{"X-CSRFToken":getCookie("csrftoken")},data:{ids:e}}).done(function(e){}).fail(function(e){}),""}$(window).scroll(function(){$(this).scrollTop()>=mainNav.height()?newsStickyItem.addClass("fixed"):newsStickyItem.removeClass("fixed")}),$(function(){$(document).scroll(function(){let e=$(".fixed-top");e.toggleClass("scrolled",$(this).scrollTop()>e.height())})});let availableTags=JSON.parse("{{ titles|escapejs }}"),model=$("#model");function search(){$("#filter-icon").show(),$("#filter").hide();let e=$("#store")[0].innerText;"نام فروشگاه"===e&&(e="");let t=$("#brand")[0].innerText;"برند"===t&&(t="");let i=$("#model")[0].value,n=!1,a="https://gooshichand.com/items/?";""!==i&&(a+="&model="+(i=i.replace(/ /g,"_")),n=!0),""!==e&&(a+="&store="+(e=e.replace(/ /g,"_")),n=!0),""!==t&&(a+="&brand="+(t=t.replace(/ /g,"_")),n=!0),n&&(window.location=a)}model.autocomplete({source:availableTags}),$("#advanced_search").click(function(){window.open("https://gooshichand.com/filterbyspec/?sort=سال","_self")}),$("#compare").click(function(){window.open("https://gooshichand.com/compare/?models=","_self")}),$("#dropdown-menu-city").find("li a").click(function(){$("#city").text($(this).text())}),$("#dropdown-menu-brand").find("li a").click(function(){$("#brand").text($(this).text())}),$("#dropdown-menu-store").find("li a").click(function(){$("#store").text($(this).text())}),$("#more-page").click(function(){let e=window.location.href;if(-1!==e.indexOf("page")){let t=e.split("page=")[0],i=e.split("page=")[1];e=t+"page="+(i=parseInt(i)+1).toString()}else-1===e.indexOf("page")&&(e+="&page=1");window.location.href=e}),$("#less-page").click(function(){let e=window.location.href;if(-1!==e.indexOf("page")){let t=e.split("page=")[0],i=e.split("page=")[1];e=t+"page="+(i=parseInt(i)-1).toString(),0===i&&(e=e.split("&page")[0])}window.location.href=e}),model.keypress(function(e){let t=$("#model")[0].value;13===e.which&&""!==t&&search()}),$("#filter").click(function(){search()});let price=$(".price");$(document).ready(function(){$("#filter-icon").hide();let e,t,i,n=window.location.href;-1!==n.indexOf("page")?$("#less-page").show():-1===n.indexOf("page")&&$("#less-page").hide();let a=window.location.href,o=(a=decodeURI(a)).split("brand=");o.length>1&&(e=(e=o[1].split("&")[0]).replace(/_/g," "),$("#tags").append('<span class="tag font-size has-number btn btn-info"><a id="brand_tag"><i class="fa fa-times"></i></a><span class="font-size">'+e+"</span></span>"));let s=a.split("store=");s.length>1&&(t=(t=s[1].split("&")[0]).replace(/_/g," "),$("#tags").append('<span class="tag font-size has-number btn btn-info"><a id="store_tag"><i class="fa fa-times"></i></a><span class="font-size">'+t+"</span></span>"));let l=a.split("model=");l.length>1&&(i=(i=l[1].split("&")[0]).replace(/_/g," "),$("#tags").append('<span class="tag font-size has-number btn btn-info"><a id="model_tag"><i class="fa fa-times"></i></a><span class="font-size">'+i+"</span></span>")),price.each(function(){addCommas(this),toFaNumber(this)}),$("h2").each(function(){toFaNumber(this)}),$("#brand_tag").click(function(){let e=window.location.href,t="",i=e.split("brand=");i.length>1&&(t=i[1].split("&")[0],e=e.replace("&brand="+t,""),window.location.href=e)}),$("#store_tag").click(function(){let e=window.location.href,t="",i=e.split("store=");i.length>1&&(t=i[1].split("&")[0],e=e.replace("&store="+t,""),window.location.href=e)}),$("#model_tag").click(function(){let e=window.location.href,t="",i=e.split("model=");i.length>1&&(t=i[1].split("&")[0],e=e.replace("&model="+t,""),window.location.href=e)})});
   </script>
{% endblock %}

